package com.muyu.markteing.domain.req;

import com.muyu.common.core.web.page.PageDomain;

import com.muyu.markteing.domain.model.ActivityTeamInfoListModel;
import lombok.*;
import lombok.experimental.SuperBuilder;

@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@SuperBuilder
public class TeamInfoListReq extends PageDomain {
    private String keyWord;
    private String status;

    public ActivityTeamInfoListModel buildQueryModel(){

        return ActivityTeamInfoListModel.builder()
                .keyWord(this.keyWord)
                .status(this.status)
                .build()
                .domainBuild(this);
    }
}
