package com.muyu.markteing.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;

import com.muyu.markteing.domain.model.ActivityTeamInfoAddModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
//@ApiModel(value = "ActivityTeamInfoSaveReq", description = "拼团商品信息")
public class ActivityTeamInfoSaveReq extends BaseEntity {
    private Long id;
    /**
     * 商品添加基本属性
     */
    private ActivityTeamInfoAddModel activityTeamInfoAddModel;


    /**
     * 商品SKuProductSkuModel
     */


    public Long getId() {
        return id;
    }

    public ActivityTeamInfoAddModel getActivityTeamInfoAddModel() {
        return activityTeamInfoAddModel;
    }



    public void setId(Long id) {
        this.id = id;
    }

    public void setActivityTeamInfoAddModel(ActivityTeamInfoAddModel activityTeamInfoAddModel) {
        this.activityTeamInfoAddModel = activityTeamInfoAddModel;
    }

}
