package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.CategoryInfo;
import com.muyu.product.domain.resp.CategoryInfoUpdReq;
import org.apache.ibatis.annotations.Param;

/**
 * 品类信息Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
public interface CategoryInfoMapper extends BaseMapper<CategoryInfo> {

    Boolean updById(@Param("id") Long id, @Param("categoryInfoUpdReq") CategoryInfoUpdReq categoryInfoUpdReq);
}
